<?php defined('SYSPATH') or die('No direct script access.');
/**
 * class Controller_admin_code
 *
 * Odpowiada za edycje kodów premium
 */
class Controller_admin_code extends Controller_admin
{	
	/**
	 * Konstruktor...
	 * 
	 */
	public function __construct()
	{
		parent::__construct('acp_code');
	}
	
	/**
	 * Usuwa logi
	 *
	 * @access public
	 */
	public function action_delete()
	{
		$code_id = $this->request->post('id');
		$delete = Code::delete($code_id);
		
		$this->ajax->assign('result',  $delete  ? 'success' : 'error');
		$this->ajax->assign('message', $delete ? 'Kod został usunięty' : 'Kod nie istnieje');
	
		if($delete)
		{
			Logs::add("Usunął kod promocyjny {$code_id}", Member::logged());
		}
	
		$this->ajax->send();
	}
	
	/**
	 * Dodaje kod
	 *
	 * @access public
	 */
	public function action_add()
	{
		$result = Code::add($this->request->post());
		
		$this->ajax->assign('result',  $result[0]  ? 'success' : 'error');
		$this->ajax->assign('message', $result[1]);
		
		if($result[0])
		{
			Logs::add("Dodał kod promocyjny {$this->request->post('code')} o wartości {$this->request->post('wallet')} PLN", Member::logged());
		}
		
		$this->ajax->send();
	}
}