<?php defined('SYSPATH') or die('No direct script access.');
/**
 * class Controller_admin_load
 *
 * Odpowiada za ładowanie sekcji panelu administracyjnego...
 */
class Controller_admin_load extends Controller_admin
{	

	/**
	 * Konstruktor...
	 * 
	 */
	public function __construct()
	{
		parent::__construct();
	}

	/**
	 * Ładuje odpowiedną sekcje panelu administracyjnego przy pomocy ajax...
	 *
	 */
	public function action_load()
	{
		$action       = $this->request->post('page');
		$admin_action = 'admin/' . $action;
		
		if(Member::hasAccess( sprintf("acp_%s", $action) ))
		{
			$this->ajax->assign('content', $this->view->execute($admin_action, TRUE));
		}
		else
		{
			$this->ajax->assign('content', '<div class="error"> Nie masz uprawnień do przeglądania tej sekcji </div>');
		}
		
		$this->ajax->send();
	}
}