<?php defined('SYSPATH') or die('No direct script access.');
/**
 * class Controller_admin_menu
 *
 * Odpowiada za menu
 */
class Controller_admin_menu extends Controller_admin
{	

	/**
	 * Konstruktor...
	 * 
	 */
	public function __construct()
	{
		parent::__construct('acp_setting');
	}

	/**
	 * Dodawanie menu
	 *
	 * @access public
	 */
	public function action_add()
	{
		$result = Menu::add($this->request->post());
	
		$this->ajax->assign('result', $result[0] ? 'success' : 'error');
		$this->ajax->assign('message', $result[1]);
		$this->ajax->send();
	}
	
	/**
	 * Usuwanie menu
	 *
	 * @access public
	 */
	public function action_delete()
	{
		$result = Menu::delete($this->request->post('id'));
	
		$this->ajax->assign('result', $result[0] ? 'success' : 'error');
		$this->ajax->assign('message', $result[1]);
		$this->ajax->send();
	}
	
	/**
	 * Box edycji menu
	 *
	 * @access public
	 */
	public function action_edit_box()
	{
		$data = Menu::get($this->request->post('id'));
	
		$this->ajax->assign('title', 'Edycja menu ' . $data['name']);
		$this->view->assign('data', $data);
		$this->ajax->assign('message', $this->view->execute('admin/menu/edit', TRUE));
		$this->ajax->send();
	}
	
	/**
	 * Box edycji menu
	 *
	 * @access public
	 */
	public function action_edit()
	{
		$result = Menu::edit($this->request->post());
		
		$this->ajax->assign('result',  $result[0] ? 'success' : 'error');
		$this->ajax->assign('message', $result[1]);
		$this->ajax->send();
	}
}