<?php defined('SYSPATH') or die('No direct script access.');
/**
 * class Controller_member_wallet
 *
 * Odpowiada za portfel
 */
class Controller_member_wallet extends Controller_member
{	

	/**
	 * Konstruktor
	 *
	 */
	public function __construct()
	{
		parent::__construct( TRUE );
	}

	
	/**
	 * Dokonywanie transakcji
	 *
	 * @access public
	 */
	public function action_pay()
	{
		$data = explode('|', $this->request->post('numer'));
		$sms  = $this->request->post('sms');
	
		if(!strlen($sms))
		{
			$this->ajax->assign('message', 'Nie podałeś kodu sms');
			$this->ajax->assign('result',  'error');
			$this->ajax->send();
		}
		
		// Pobierzmy dane próby doładowania portfela
		$result = Core::get('Payments')->check($sms, $data[0], $data[1]);
		
		if($result[0] != 0.0)
		{
			$result[0] = (float)str_replace(',', '.', $result[0]);
		}
	
		// Jeśli kwota == 0.0 znaczy że kod sms był niepoprawny
		if($result[0] == 0.0)
		{
			// Wyświetlmy informacje
			$this->ajax->assign('message', $result[1]);
			$this->ajax->assign('result',  'error');
		}
		// Jeśli kwota != 0.0 to kod był dobry
		else
		{
			// Wyświetlmy informacje
			$this->ajax->assign('message', $result[1]);
			$this->ajax->assign('result', 'success');
			
			Logs::add('Doładował portfel kwotą: ' . $result[0] . ' PLN', Member::logged());
			
			$amount = round(Member::get('wallet')+$result[0], 2);
			
			MLogs::add('Doładowano portfel kwotą ' . $result[0] . ' PLN (stan konta: '.$amount.' PLN)', 'wallet');
			
			Member::update(Member::get('id'), 'wallet', $amount);
			
			$this->ajax->assign('wallet', $amount);
		}
		
		// Wyślimy
		$this->ajax->send();
	}
}