<script>
	var updateSetting = function(){
	
		var form   = $('#setting');
		var serial = form.serialize();
		
		$.ajax({
			url: core.getConfig('base_url') + 'admin/setting/update',
			type: 'POST',
			data: serial,
			dataType: 'JSON',
				
			success: function(json){
				notif(json.message, 2000);
			}
		});
	}
				
	var addSetting = function(){
		var box = new SimpleBox({
			title: 'Dodaj ustawienie',
			message: '<input type="text" class="key" placeholder="Klucz ustawienia"><input type="text" class="value" placeholder="Wartość ustawienia"> <input type="text" class="desc" placeholder="Opis ustawienia"><div style="clear: both"></div>',
						
			submitClose: true,
			submitValue: 'Dodaj',
			submitAction: function(){
						
				var data = {
					setting_name:  $('.key').val(),
					setting_value: $('.value').val(),
					setting_desc:  $('.desc').val()
				}
				if( data.setting_name == '' ){
					return;
				}
				$.ajax({
					url: core.getConfig('base_url') + 'admin/setting/add',
					'data': data,
					type: 'POST',
					dataType: 'JSON',
								
					success: function(json){
						notif(json.message, 2000);
					}
				});
			}			
		}).show();
	}
</script>
<div class="img_bar">Ustawienia strony<span class="setting_menu" onclick="addSetting()">Dodaj nowe ustawienie</span><span class="setting_menu" onclick="updateSetting()">Aktualizuj</span></div>
<div class="content" style="padding: 0">
			<style>
			.setting_content{
				display: none;
			}
			.box{
				border: none;
			}
			</style>
			<script>
			$(document).ready(function(){
				$('.tab').click(function(){
					var card = $(this).attr('card');
					
					var show_setting_menu = parseInt( $(this).attr('setting_menu') );
					
					if(show_setting_menu == 1){
						$('.setting_menu').show();
					}else{
						$('.setting_menu').hide();
					}
					
					
					$('.tab').removeClass('active');
					$(this).addClass('active')
					
					$('.setting_content').hide();
					$('.content_' + card).show();
					
				});
			});
			</script>
				<div class="tab active" style="margin-left: 20px" card="podstawowe" setting_menu="1">Podstawowe</div>
				<div class="tab" card="index" setting_menu="1">Strona główna</div>
				<div class="tab" card="service" setting_menu="1">Usługi</div>
				<div class="tab" card="login" setting_menu="1">Logowanie</div>
				<div class="tab" card="usercp" setting_menu="1">Panel użytkownika</div>
				<div class="tab" card="menu" setting_menu="0">Menu</div>
				
				<div class="box">
				<form id="setting" action="" onsubmit="return false" method="post">
				<!-- Ogólne ustawienia -->
				<div style="display: block" class="setting_content content_podstawowe">
					<div class="bar">Ogólne ustawienia</div>
						<table class="table">
						<tr>
							<td><span class="label"><?php echo Core::get('Settings')->getDesc('site_name') ?></span> <br/> możliwość użycia {ACTION_NAME}, które wyświetla np. Panel użytkownika itp.</td>
							<td><input type="text" name="site_name" value="<?php echo Core::get('Settings')->getNoFormat('site_name') ?>"></td>
						</tr>
						<tr>
							<td><span class="label">Meta keywords</span><br/>Przydatne dla wyszukiwarek internetowych.</td>
							<td><textarea style="width: 300px; height: 100px" name="meta_keywords"><?php echo Core::setting()->get('meta_keywords') ?></textarea></td>
						</tr>
						<tr>
							<td><span class="label">Meta description</span><br/>Przydatne dla wyszukiwarek internetowych.</td>
							<td><textarea style="width: 300px; height: 100px" name="meta_description"><?php echo Core::setting()->get('meta_description') ?></textarea></td>
						</tr>
						<tr>
							<td><span class="label"><?php echo Core::get('Settings')->getDesc('site_charset') ?></span> <br/> Domyślnie UTF-8</td>
							<td><input type="text" name="site_charset" value="<?php echo Core::get('Settings')->getNoFormat('site_charset') ?>"></td>
						</tr>
						
						<tr>
							<td><span class="label"><?php echo Core::get('Settings')->getDesc('load_jquery') ?></span> <br/> Jeśli pojawi się jakaś nowa wersja jQuery można załadować ją z wybranego adresu</td>
							<td><input type="text" name="load_jquery" value="<?php echo Core::get('Settings')->getNoFormat('load_jquery') ?>"></td>
						</tr>
						
						<tr>
							<td><span class="label"><?php echo Core::get('Settings')->getDesc('default_group_id') ?></span> <br/> Grupe jaką otrzymują nowo zarejestrowania użytkownicy </td>
							<td>
								<select style="width: 300px" name="default_group_id">
								<?php
									foreach(Member::groupList() as $group)
									{
										printf('<option %s value="%s">%s</option>', (Core::get('Settings')->get('default_group_id') == $group['id'] ? 'selected' : ''), $group['id'], $group['group_name']);
									}
								?>
								</select>
							</td>
						</tr>
					</table>
					<div style="margin-top: 15px" class="bar">Stopka</div>
						<table class="table">
							<?php
								$arr = array(
									'footer_generate_time' => 'Wykonano w [...]s.', 
									'footer_logged' => 'Pokazuje nazwę użytkownika aktualnie zalogowanej osoby', 
									'footer_current_time' => 'Aktualny czas', 
									'footer_memory_usage' => 'Pamięć jaką zużył sklep do wygenerowania tej strony'
								);
										
								foreach($arr as $key => $desc)
								{
							?>
							<tr>
								<td><span class="label"><?php echo Core::get('Settings')->getDesc($key) ?></span> <br/> <?php echo $desc ?></td>
								<td style="padding: 5px">
									<?php $val = Core::get('Settings')->get($key); ?>
												
									<span class="radio_on">
										<input type="radio" <?php echo $val ? 'checked' : '' ?> name="<?php echo $key ?>" value="1">
									</span>
									<span class="radio_off">
										<input type="radio" <?php echo $val ? '' : 'checked' ?>  name="<?php echo $key ?>" value="0">
									</span>
								</td>
							</tr>
							<?php
								}
							?>
						</table>
				</div>
				<!--- Newsy -->
				<div class="setting_content content_index">
					<div class="bar">Newsy</div>
						<table class="table">
							<tr>
								<td>
						<?php 
							$val = Core::get('Settings')->get('news_for_logged');
							echo '<span class="label">' . Core::get('Settings')->getDesc('news_for_logged') . '</span><br/> Jeśli włączysz tą opcje, newsy będą widoczne tylko dla osób zalogowanych';
						?>
								</td>
								<td>
									<span class="radio_on">
										<input type="radio" <?php echo $val ? 'checked' : '' ?>  name="news_for_logged" value="1">
									</span>
									<span class="radio_off">
										<input type="radio" <?php echo $val ? '' : 'checked' ?>  name="news_for_logged" value="0">
									</span>
								</td>
							</tr>
							<tr>
								<td><span class="label"><?php echo Core::get('Settings')->getDesc('news_count') ?></span> <br/> Domyślnie 10
								<td><input style="width: 60px" type="text" name="news_count" value="<?php echo Core::get('Settings')->get('news_count') ?>"></td>
							</tr>
							<tr>
								<td>
						<?php 
							$val = Core::get('Settings')->get('news_reputation', 1);
							echo '<span class="label">Reputacja</span> <br/>Wyłączenie tej opcji spowoduje zatrzymanie wszystkich opcji które oferuje ten system';
						?>
								</td>
								<td>
									<span class="radio_on">
										<input type="radio" <?php echo $val ? 'checked' : '' ?>  name="news_reputation" value="1">
									</span>
									<span class="radio_off">
										<input type="radio" <?php echo $val ? '' : 'checked' ?>  name="news_reputation" value="0">
									</span>
								</td>
							</tr>
							<tr>
								<td>
						<?php 
							$val = Core::get('Settings')->get('news_my_like', 0);
							echo '<span class="label">Użytkownik który dodał newsa może oddać głos?</span><br/> Tak lub nie';
						?>
								</td>
								<td>
									<span class="radio_on">
										<input type="radio" <?php echo $val ? 'checked' : '' ?>  name="news_my_like" value="1">
									</span>
									<span class="radio_off">
										<input type="radio" <?php echo $val ? '' : 'checked' ?>  name="news_my_like" value="0">
									</span>
								</td>
							</tr>
							<tr>
								<td>
						<?php 
							$val = Core::get('Settings')->get('news_reputation_list', 1);
							echo '<span class="label">Lista oddanych głosów na newsa</span><br/> Opcja jest dostępna po kliknięciu w okienko reputacji, jeśli jest uruchomiona';
						?>
								</td>
								<td>
									<span class="radio_on">
										<input type="radio" <?php echo $val ? 'checked' : '' ?>  name="news_reputation_list" value="1">
									</span>
									<span class="radio_off">
										<input type="radio" <?php echo $val ? '' : 'checked' ?>  name="news_reputation_list" value="0">
									</span>
								</td>
							</tr>
							<tr>
								<td>
						<?php 
							$val = Core::setting()->get('news_anty_spam_time', 20);
							echo '<span class="label">Newsy można dodawać co </span> <br/>Czas oczekiwania w minutach na ponowną możliwość dodania newsa';
						?>
								</td>
								<td>
									<input style="width: 60px" type="text" name="news_anty_spam_time" value="<?php echo $val ?>"> minut
								</td>
							<tr>
						</table>
						<div class="bar">Inne</div>
						<table class="table">
							<tr>
								<?php 
									$val = Core::setting()->get('footer_index_info');
								?>
								<td><span class="label"><?php echo Core::setting()->getDesc('footer_index_info') ?></span> <br/> Wyłączenie tej opcji nie ma większego wpływu na szybkość ładowania strony głównej </td>
								<td>
									<span class="radio_on">
										<input type="radio" <?php echo $val ? 'checked' : '' ?>  name="footer_index_info" value="1">
									</span>
									<span class="radio_off">
										<input type="radio" <?php echo $val ? '' : 'checked' ?>  name="footer_index_info" value="0">
									</span>
								</td>
							</tr>
						</table>
					</div>
					
					<div class="setting_content content_service">
						<div class="bar">Lista</div>
						<table class="table">
							<tr>
								<td>
									<span class="label">Pozwól oglądać usługi użytkowniką niezalogowanym</span>
									<br/>Niżej możesz zaznaczyć usługi które mają nie być wyświetlane
								</td>
								<td>
									<?php 
										$val = Core::setting()->get('service_show_no_logged', 0);
									?>
									<span class="radio_on">
										<input type="radio" <?php echo $val ? 'checked' : '' ?>  name="service_show_no_logged" value="1">
									</span>
									<span class="radio_off">
										<input type="radio" <?php echo $val ? '' : 'checked' ?>  name="service_show_no_logged" value="0">
									</span>
								</td>
							</tr>
							<tr>
								<td>
									<span class="label">Nie pokazuj wybranych usług osobom niezalogowanym</span> <br/> Zaznaczone usługi nie zostaną pokazane
								</td>
								<td>
									<?php
										$no_allowed = explode(',', Core::setting()->get('service_no_show'));
										
										$service = array();
										foreach($no_allowed as $key)
										{
											$service[$key] = true;
										}
									?>
									<select style="width: 300px" name="service_no_show[]" MULTIPLE size="5">
									<?php
										foreach(Service::getAll() as $g)
										{
									?>
											<option <?php echo isset($service[$g['id']]) ? 'selected' : '' ?> value="<?php echo $g['id'] ?>"><?php echo $g['name'] ?></option>
									<?php
										}
									?>
									</select>
								</td>
							</tr>
						</table>
					</div>
					<div class="setting_content content_login">
						<div class="bar">Ustawienia logowania</div>
						<table class="table">
							<tr>
								<td><span class="label">Maxymalna ilość prób logowania na jednej sesji</span><br/>0 = Wyłączona blokada</td>
								<td><input type="text" style="width: 60px" name="login_limit" value="<?php echo Core::setting()->get('login_limit', 5) ?>"></td>
							</tr>
							<tr>
								<td><span class="label">Czas na jaki ma zostać zablokowana możliwość logowania</span><br/>Czas ten należy podać w minutach</td>
								<td><input type="text" style="width: 60px" name="login_limit_time" value="<?php echo Core::setting()->get('login_limit_time', 5) ?>"> minut</td>
							</tr>
								<td><span class="label">Powiadom użytkownika o przekroczonej liczbie prób logowań na jego konto</span><br/>Otrzyma powiadomienie w swoim profilu</td>
								<td>
									<?php 
										$val = Core::setting()->get('login_limit_notif', 1);
									?>
									<span class="radio_on">
										<input type="radio" <?php echo $val ? 'checked' : '' ?>  name="login_limit_notif" value="1">
									</span>
									<span class="radio_off">
										<input type="radio" <?php echo $val ? '' : 'checked' ?>  name="login_limit_notif" value="0">
									</span>
								</td>
							</tr>
							<tr>
								<td><span class="label">Powiadom mnie jako administratora o przekroczonej liczbie prób logowania na kogoś konto</span><br/>Otrzymasz powiadomienie w skecji "Logi"</td>
								<td>
									<?php 
										$val = Core::setting()->get('login_limit_notif_admin', 1);
									?>
									<span class="radio_on">
										<input type="radio" <?php echo $val ? 'checked' : '' ?>  name="login_limit_notif_admin" value="1">
									</span>
									<span class="radio_off">
										<input type="radio" <?php echo $val ? '' : 'checked' ?>  name="login_limit_notif_admin" value="0">
									</span>
								</td>
							</tr>
						</table>
					</div>
					<div class="setting_content content_usercp">
						<div class="bar">Portfel</div>
						<table class="table">
							<tr>
								<td><span class="label">Możliwość przekazywania pieniędzy</span><br/>Użytkownicy mogą między sobą przelewać pieniądze.</td>
								<td>
									<?php 
										$val = Core::setting()->get('member_give_money', 1);
									?>
									<span class="radio_on">
										<input type="radio" <?php echo $val ? 'checked' : '' ?>  name="member_give_money" value="1">
									</span>
									<span class="radio_off">
										<input type="radio" <?php echo $val ? '' : 'checked' ?>  name="member_give_money" value="0">
									</span>
								</td>
							</tr>
							<tr>
								<td><span class="label">Kwota jaką maksymalnie można przekazać</span><br/>0 = Brak limitu</td>
								<td><input type="text" name="member_give_money_limit" value="<?php echo Core::setting()->get('member_give_money_limit', 0) ?>"> PLN</td>
							</tr>
						</table>
					</div>
				</form>
				<div class="setting_content content_menu">
					<script>
					function deleteMenu(id, img){
					
						var yes = confirm('Napewno chcesz usunąć to menu?');
					
						if( yes )
						{
							$.ajax({
								url: core.getConfig('base_url') + 'admin/menu/delete',
								data: {id: id},
								dataType: 'JSON',
								type: 'POST',
								
								success: function(r){
									if(r.result == 'success'){
										$(img).parent().parent().find('td').hide(400);
									}
									notif(r.message, 2000);
								}
							});
						}
					}
					
					function editMenu(id){
						new SimpleBox({
							url: core.getConfig('base_url') + 'admin/menu/edit_box',
							data: {'id': id},
							width: 800,
							submitValue: 'Edytuj',
							submitClose: true,
							submitAction: function(){
								var serialize = $('#edit_menu').serialize();
								
								$.ajax({
									url: core.getConfig('base_url') + 'admin/menu/edit',
									data: serialize,
									dataType: 'JSON',
									type: 'POST',
									
									success: function(r){
										notif(r.message, 2000);
									}
								});
							}
						}).show();
					}
					</script>
					<style>
					table tr td img{
						opacity: 0.5;
					}
					table tr:hover td img{
						opacity: 1.0;
					}
					</style>
					<table class="table menu">
						<tr class="header">
							<td>Nazwa</td>
							<td>Położenie</td>
							<td>Adres URL</td>
							<td>Admin</td>
							<td>Użytkownik</td>
							<td>Gość</td>
							<td></td>
						</tr>
						<?php
							$menu = Menu::get();
							if(count($menu))
							{
								foreach($menu as $m)
								{
									echo '<tr>';
									echo '<td>' . $m['name'] . '</td>';
									echo '<td>' . $m['float'] . '</td>';
									echo '<td>' . $m['url'] . '</td>';
									echo '<td>' . ($m['admin'] ? '<font color="green">Tak</font>' : '<font color="red">Nie</font>') . '</td>';
									echo '<td>' . ($m['member'] ? '<font color="green">Tak</font>' : '<font color="red">Nie</font>') . '</td>';
									echo '<td>' . ($m['guest'] ? '<font color="green">Tak</font>' : '<font color="red">Nie</font>') . '</td>';
									echo '<td>
									<img onclick="deleteMenu('.$m['id'].', this)" src="'.Core::$site.'media/image/delete.png">
									<img onclick="editMenu('.$m['id'].')" src="'.Core::$site.'media/image/edit.png">
									</td>'; 
									echo '</tr>';
								}
							}
							else
							{
								echo '<tr><td colspan="7">Brak menu</td></tr>';
							}
						?>
					</table>
					<div class="bar" style="margin-top: 15px">Dodaj nową pozycje do menu</div>
					<script>
						$(document).ready(function(){
						$('#menu_add').submit(function(){
							var serialize = $(this).serialize();
							
							$.ajax({
								url: core.getConfig('base_url') + 'admin/menu/add',
								data: serialize,
								dataType: 'JSON',
								type: 'POST',
								
								success: function(r){
									notif(r.message, 2000);
								}
							});
						});
					});
					</script>
					<form id="menu_add" onsubmit="return false">
						<?php Core::view()->execute('admin/menu/form') ?>
					</form>
				</div>
			</div>
		
	</div>