<?php
	// Zmiana tytułu strony
	Core::get('View')->title('Ogólne informacje - Panel użytkownika');

	// Informacje o $$
	$wallet = round(Member::get('wallet'), 2);
	
	// Informacje o zakupionych usługach
	$buy_count = Service::getMemberFromBuyCache(Member::logged(), 'count');
	$active_count = Service::getMemberFromBuyCache(Member::logged(), 'count', true);
	
	$percent = round($wallet * 100 / Member::getWalletSum(), 2);
?>
<div class="img_bar">Ogólne informacje</div>
<div class="blue_box">
	<div class="content">
		<table class="table">
			<tr>
				<td><span class="label">Stan twojego portfela wynosi </span></td>
				<td><span class="stats"><?php echo $wallet ?> PLN</span></td>
			</tr>
			<tr>
				<td><span class="label">Twój portfel to </span></td>
				<td><span class="stats"><?php echo $percent ?>%</span> stanu konta wszystkich użytkowników</td>
			</tr>
			<tr>
				<td><span class="label">Zakupione usługi </span></td>
				<td><span class="stats"><?php echo $buy_count ?></span></td>
			</tr>
			<tr>
				<td><span class="label">Z czego aktywnych usług </span></td>
				<td><span class="stats"><?php echo $active_count ?></span></td>
			</tr>
		</table>
	</div>
</div>


<?php
Core::view()->assign('log_section', 'login');
Core::view()->assign('log_title', 'Próby logowań na twoje konto');
Core::view()->assign('log_empty', 'Brak');

// Display
Core::view()->execute('member/log_template');
?>