<div class="img_bar" style="margin-top: 20px"><?php echo $log_title ?></div>

<script>
// Usuwanie logów
$(document).ready(function(){
	$('.delete').click(function(){
		var img = $(this);
		var id  = img.attr('delete-id');
		var row = img.parent().parent().find('td');
		
		$.ajax({
			url: core.getConfig('base_url') + 'member/index/delete_log',
			data: {id: id},
			type: 'POST',
			dataType: 'JSON',
			
			success: function(r){	
				if(r.result == 'success'){
					row.slideToggle(400, function(){
						row.parent().remove();
						
						if(!$('tr.log').length){
							$('table.table_log').append(
								$(document.createElement('tr')).addClass('log').html('<td colspan="3"><?php echo addslashes($log_empty) ?></td>')
							);
						}
						
					});
				}
				
				notif(r.message, 2000);
			}
		});
	});
	
});
</script>

<table class="table table_log">

	<tr class="header">
		<td width="60%"></td>
		<td width="35%">Wysłano...</td>
		<td width="5%"></td>
	</tr>
	
	<?php
		// Pobierzmy wszystkie logi dla danej sekcji i ustawmy że przeczytano :)
		$logs = MLogs::get(Member::logged(), $log_section);
				MLogs::setStatusToActive(Member::logged(), $log_section);
				
		// Jeśli jakiś log istnieje
		if(count($logs))
		{
			// Pobierzmy czas...
			$time = time();
		
			// adres strony
			$site = Core::$site;
		
			// Czas wyświetlić...
			foreach($logs as $log)
			{
				$log['time'] = Date::format($log['time']);
				
				$class = $log['status'] ? '' : 'label';
				
				echo "<tr class='log'>";
				echo "<td><span class='{$class}'>{$log['message']}</span></td>";
				echo "<td>{$log['time']}</td>";
				echo "<td><img delete-id='{$log['id']}' class='delete' src='{$site}media/image/delete.png' /></td>";
				echo "</tr>";
				
			}
		}
		// Jeśli nie ma żadnych logów
		else
		{
			echo "<tr><td colspan='3'>{$log_empty}</td></tr>";
		}
	?>
	
</table>