<?php
$wallet = Member::get('wallet');
Core::get('View')->title('Portfel - Panel Użytkownika');
?>
<script>
var wallet = new Wallet();
$(document).ready(function(){
	$('select[name="numer"]').on('change', function(){
		wallet.show_on_change($(this).find( 'option:selected' ).attr('class'));
	});
});
</script>

<div class="img_bar">Doładuj portfel</div>
<div class="blue_box">
	<div class="content">
		<form id="form" action="" method="post" onsubmit="return false;">
			<table style="width: 100%">
				<tr>
				
				<?php
					$rates = Core::get('Payments')->rates();
					echo '<td><span class="label">Wybierz kwotę jaką chcesz zasilić konto:</span></td>';
					$divs = '';
					echo '<td><select name="numer">';
					echo '<option>Wybierz:</option>';
					foreach($rates as $key => $rate)
					{
						$key = sha1($key);
						echo '<option class="'.$key.'" value="'.$rate['numer'].'|'.$rate['text_sms'].'">Doładuj portfel o '.$rate['amount'].'</option>';
						$divs .= '<div style="display: none;" class="info info_pay info_'.$key.'">Wyślij smsa o treści <b>'.$rate['text_sms'].'</b> na numer <b>'.$rate['numer'].'</b> <br/>';
						$divs .= 'Koszt smsa to <b>'.$rate['cost'].'</b>zł</div>';
					}
					echo '</select> PLN</td></tr><tr><td colspan="2">';
					echo $divs . '</td></tr>';
				?>
				<tr>
					<td><span class="label">Następnie wpisz kod otrzymany na telefon:</span></td>
					<td><input type="text" style="width: 200px" name="sms"> <input type="submit" onclick="wallet.pay()" value="Doładuj" style="margin-top: 6px"class="uibutton special"></td>
				</tr>
				<tr>
					<td colspan="2">
						<div class="result_doladuj"></div>
					</td>
				</tr>
			</table>
		</form>
	</div>
</div>

<div class="img_bar" style="margin-top: 20px">Akcje</div>
<table class="table">
	<tr class="header">
		<td>Treść</td>
		<td width="20%">Kiedy</td>
	</tr>
	
	<?php
		$logs = MLogs::get(Member::logged(), 'wallet');
		if(count($logs))
		{
			$time = time();
			foreach($logs as $log)
			{
				
				$log['time'] = ($time - $log['time'] > Date::DAY * 2) ? Core::getCurrentTime($log['time']) : Date::format($log['time']);
				echo <<< HTML
				<tr>
					<td>{$log['message']}</td>
					<td>{$log['time']}</td>
				</tr>
HTML;
			}
		}
		else
		{
			echo '<tr><td colspan="2">Brak logów</td></tr>';
		}
	?>
	
</table>