/**
 * Core Wallet
 *
 */
var Wallet = function(){

	// Zapiszmy
	var wallet = this;

	/**
	 * Zmienianie treści/numeru podczas zmieniania opcji z selecta...
	 *
	 * @param string
	 */
	this.show_on_change = function(css_class_key){
	
		// Zamknijmy wszystkie
		$('.info_pay').hide();
		
		// Pokażmy wybrane
		$('.info_' + css_class_key).show();
	}
	
	
	/**
	 * Dokonywanie transakcji...
	 *
	 *
	 */
	this.pay = function(){
		var serial = $('#form').serialize();
		
		$.ajax({
			url      :  core.getConfig('base_url') + 'member/wallet/pay',
			type     : 'POST',
			data     : serial,
			dataType : 'JSON',
			
			success: function(json){
				var result_div = $(document.createElement('div')).addClass(json.result).html(json.message);
				$('.result_doladuj').html('').append(result_div);
				console.log(json);
				$('.wallet').html(json.wallet);
			}
		});
		
	}
}