<?php defined('SYSPATH') or die('No direct script access.');

abstract class DataBase
{

	/**
	 * Załadowane Już obiekty pdo...
	 * @static array
	 */
	static $loaded = array();
	
	
	/**
	 * Initialize...
	 *
	 * @param string
	 * @param array
	 *
	 * @return object
	 * @access static
	 */
	static public function initialize($db_data = array(), $key = 'core')
	{
		if(!is_array($db_data))
		{
			return false;
		}
	
		if(!isset(DataBase::$loaded[$key]))
		{
			try
			{
				DataBase::$loaded[$key] = new PDO(sprintf('mysql:host=%s;dbname=%s', $db_data['host'], $db_data['base']), $db_data['user'], $db_data['pass']);
			}
			catch(PDOException $e)
			{
				return false;
			}
		}
		DataBase::$loaded[$key]->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC); 
	    DataBase::$loaded[$key]->query('SET NAMES utf8');
		
		return DataBase::$loaded[$key];
	}	
}