<?php defined('SYSPATH') or die('No direct script access.');

class Controller_member
{	
	/**
	 * Konstruktor
	 *
	 *
	 */
	public function __construct($logging = FALSE)
	{
		// Sprawdźmy czy użytkownik ma być zalogowany czy też nie według
		// zmiennej $logging, FALSE - Nie może być zalogowany, TRUE - Musi być zalogowany
		if(Member::logged() != $logging)
		{
			Core::get('View')->title('Brak dostępu');
			Core::get('View')->execute('HTTP/no_access', false, true);
		}
		
		// Inicjujemy klasy...
		$this->initClass();
	}
	
	/**
	 * initClass
	 * ładuje wszystkie potrzebne klasy do działania skryptu...
	 * 
	 * @access protected
	 * @return void
	 */
	protected function initClass()
	{
		$this->ajax     = Core::get('Ajax');
		$this->amxbans  = Core::get('AmxBans');
		
		$this->request  = Core::request();
		$this->settings = Core::setting();
		$this->view     = Core::view();
	}
}