<?php defined('SYSPATH') or die('No direct script access.');
/**
 * class Controller_member_logim
 *
 * Odpowiada za logowanie
 */
class Controller_member_login extends Controller_member
{	

	/**
	 * Strona główna logowania
	 * 
	 * @access public
	 */
	public function __construct()
	{
		parent::__construct();
	}
	
	/**
	 * Strona główna logowania
	 *
	 *
	 */
	public function action_login()
	{
		$this->view->title('Logowanie');	
		$this->view->execute('login');
	}
	
	/**
	 * Funkcja odpowiadająca za logowanie...
	 *
	 * @access public
	 */
	public function action_process()
	{
		$result = Member::login($this->request->post('username'), $this->request->post('password'));
		
		$this->ajax->assign('result',  $result[0] ? 'success' : 'error');
		$this->ajax->assign('message', $result[1]);
		
		$this->ajax->send(TRUE);
	}
}