<?php defined('SYSPATH') or die('No direct script access.');
/**
 * class Controller_welcome_index
 *
 * Odpowiada za stronę główną
 */
class Controller_welcome_index extends Controller_welcome
{	

	/**
	 * Ilość newsów na strone
	 * @public integer
	 */
	public $news_per_page = 10;
	
	/**
	 * Strona główna
	 *
	 * @access public
	 */
	public function action_index()
	{
		$this->view->title('Strona Główna');
		
		if($this->settings->get('footer_index_info'))
		{
			// Ilość użytkowników
			$this->view->assign('members_count', Member::getMembersCount());
			// Ilość zablokowanych użytkowników
			$this->view->assign('blocks_count',  Member::getBlocksCount());
			// Grupy
			$this->view->assign('groups',  Member::groupList());
			// Łączny stan portfela
			$this->view->assign('sum',  Member::getWalletSum());
		}
		
		// Wyświetlmy
		$this->view->execute('welcome');
	}
}