<?php defined('SYSPATH') or die('No direct script access.');

// Jeśli plik instalacyjny istnieje
if(is_readable('install.php')) die('Plik instalacyjny istnieje');

// Dołączymy Core
require SYSPATH.'Core.php';

// dołączmy plik konfiguracyjny
require 'config.php';

// Opcje regionalne
setlocale(LC_ALL, 'pl_PL', 'pl', 'Polish_Poland.28592');

// Automatyczne ładowanie klas
spl_autoload_register(array('Core', 'auto_load'));

// Połączmy się z bazą danych
Core::$instances['database'] = DataBase::initialize($config['db']);

// Uruchommy sesje
Session::initialize('Native');

// Ustawmy adres strony
Core::$site = $config['core']['url'];

// Filtracja danych od użytkownika
Core::get('Request')->execute();

// Uruchommy reszte skryptu.
$frontController = new Controller();
$frontController -> execute();