<div class="img_bar">Statystyki sklepu</div>
<div class="blue_box">
	<div class="content">
		<script type="text/javascript">
			// Set a callback to run when the Google Visualization API is loaded.
		    $(document).ready(function(){
				drawChart();
			});

			// Callback that creates and populates a data table,
			// instantiates the pie chart, passes in the data and
			// draws it.
		    function drawChart() {
				var data = google.visualization.arrayToDataTable([
					 ['Nazwa usługi', 'Ilość sprzedaży'],
						  <?php
						  $data = Core::db()->query("SELECT `service_id`, COUNT(`service_id`) AS `total` 
										FROM `services_buy_cache_` 
											GROUP BY (`service_id`) 
												ORDER BY `total`")->fetchAll();
							
							$string = "";
							for($i=0; $i<5; $i++)
							{
								if(!isset($data[$i]))
								{
									continue;
								}
								
								$service = Service::get($data[$i]['service_id']);
								
								$string .= "['{$service['name']}', {$data[$i]['total']}],";
							}
							echo rtrim($string, ',');
						  ?>
						]);

						var options = {
						  title: 'Statystyki sprzedaży usług (bez przedłużania)',
						  'width': 450,
						  'height': 400,
						  'is3D': true
						};
						
						// Google Core Chart
						var chart = new google.visualization.PieChart(document.getElementById('chart_top'));
						
						// Display chart
						chart.draw(data, options);
						var data = google.visualization.arrayToDataTable([
					 ['Nazwa usługi', 'Ilość PLN'],
						  <?php
						  
							$data = Core::db()->query("SELECT `name`, `full_cash` FROM `services_` order by `full_cash` DESC LIMIT 0,5")->fetchAll();
							
							$string = "";
							for($i=0; $i<5; $i++)
							{
								if(!isset($data[$i]))
								{
									continue;
								}
								$string .= "['{$data[$i]['name']}', {$data[$i]['full_cash']}],";
							}
							echo rtrim($string, ',');
						  ?>
						]);

						var options = {
						  title: 'Ilość zarobionych PLN',
						  'width': 450,
						  'height': 400,
						  'is3D': true
						};
						
						// Google Core Chart
						var chart = new google.visualization.PieChart(document.getElementById('chart_cash'));
						
						// Display chart
						chart.draw(data, options);
					  }
		</script>
		
		<div id="chart_top" style="width: 450px; height: 400px; float: left"></div>
		<div id="chart_cash" style="width: 450px; height: 400px; float: right"></div>
		
		<div style="clear: both"></div>
	</div>
</div>