<?php Core::get('View')->execute('global/head') ?>

<div id="board">
	<div class="breadcrumb">
		<a href="<?php echo Core::$site ?>">Sklep Automatyczny</a> → <a href="<?php echo Core::$site ?>admin">Panel administracyjny</a>
	</div>
	
	<script>
	var menu = function(action, li, _data){
		history.pushState(false, false, '?do='+action);
		var admin_content  = $('.admin_ajax_load_content');
		
		var data = _data || {};
		data.page = action;
		
		admin_content.animate({
			opacity: 0.0
		}, 300, function(){
			$.ajax({
				url: core.getConfig('base_url') + 'admin/load',
				dataType: 'JSON',
				type: 'POST',
				data: data,
				
				success: function(json){
					$('.vertical_menu ul li').removeClass('active');
					$(li).addClass('active');
					admin_content.html(json.content);
					
					admin_content.animate({
						opacity: 1.0
					}, 600);
				}
			});
		});
		
 	}
	$(document).ready(function(){
		menu('<?php echo $action = Core::get('Request')->segment('do', 'board') ?>', $('.default'));
	});
	</script>
	
	<div class="page_title">Panel Administracyjny</div>
	
	<div class="blue_box">
			<div class="vertical_menu">
				<ul>
					<li class="board 	<?php echo $action == 'board'    ? 'default' : '' 	?>" onclick="menu('board',    this)"><a href="#">Statystyki sklepu</a></li>
					<li class="setting 	<?php echo $action == 'setting'  ? 'default' : '' 	?>" onclick="menu('setting',  this)"><a href="#">Konfiguracja strony</a></li>
					<li class="amx 		<?php echo $action == 'amxbans'  ? 'default' : '' 	?>" onclick="menu('amxbans',  this)"><a href="#">Konfiguracja AmxBans</a></li>
					<li class="pay 		<?php echo $action == 'payments' ? 'default' : '' 	?>" onclick="menu('payments', this)"><a href="#">Konfiguracja płatności</a></li>
					<li class="mem 		<?php echo $action == 'members'  ? 'default' : '' 	?>" onclick="menu('members',  this)"><a href="#">Użytkownicy</a></li>
					<li class="groups	<?php echo $action == 'groups'   ? 'default' : '' 	?>" onclick="menu('groups',   this)"><a href="#">Grupy</a></li>
					<li class="log 		<?php echo $action == 'logs'     ? 'default' : '' 	?>" onclick="menu('logs',     this)"><a href="#">Logi</a></li>
					<li class="service 	<?php echo $action == 'service'  ? 'default' : '' 	?>" onclick="menu('service',  this)"><a href="#">Usługi</a></li>
					<li class="code 	<?php echo $action == 'code'     ? 'default' : '' 	?>" onclick="menu('code',     this)"><a href="#">Kody premium</a></li>
				</ul>
			</div>
			<div class="admin_content" style="min-height: 340px"><div class="admin_ajax_load_content" style="padding: 10px"></div></div>
		<div style="clear: both;"></div>
	</div>
</div>
<?php Core::get('View')->execute('global/footer') ?>