<script>
var editMember = function(mid){
	new SimpleBox({
		url: core.getConfig('base_url') + 'admin/member/edit_box',
		data: {'id': mid},
		submitValue: false
	}).show();
}
</script>

<?php

if($offset_change = Core::request()->post('offset', FALSE))
{
	Session::set('admin_members_show_offset', $offset_change);
}

if(is_string($search = Core::request()->post('search', FALSE)))
{
	Session::set('admin_members_search', $search);
}

$search = Session::get('admin_members_search', '');

// Pobierzmy ilość rekordów do pobrania
$offset = Session::get('admin_members_show_offset', 15);
$offset = $offset <= 0 ? 15 : $offset; 

$page  = Core::request()->post('member_page', 1);
$pages = ceil(Member::getMembersCount( $search )/$offset);

$page = $page > $pages ? $pages : $page;

$start = $page > 1 ? ($page * $offset - $offset) : 0;
$jquery = "menu('members', $('.mem'), {member_page: %s})";

$back_onclick = sprintf($jquery, $page-1);
$next_onclick = sprintf($jquery, $page+1);

if($page == 1)
{
	$back_onclick = "alert('Nie możesz cofnąć się do tyłu')";
}
if($page >= $pages)
{
	$next_onclick = "alert('Nie możesz iść do następnej strony')";
}

// Pobierzmy rekordy
$data = Member::getAll($start, $offset, $search);
?>

<div class="img_bar">Użytkownicy <?php echo $search ? (' ---- Wyniki dla zapytania: ' . $search) : '' ?><span onclick="<?php echo $next_onclick ?>">Następna strona</span><span onclick="<?php echo $back_onclick ?>">Poprzednia strona</span></div>
<table class="table" cellspacing="0">
	<tr class="header">
		<td colspan="2">
			Strona <?php echo $page ?> / <?php echo $pages ?> 
			<span style="margin-left: 50px">
				<input type="text" name="search_value" placeholder="Login, email lub gg" value="<?php echo $search ?>" style="width: 150px">
				<input type="submit" value="Znajdź użytkownika"  onclick="menu('members', $('.mem'), {member_page: <?php echo $page ?>, search: $('input[name=search_value]').val()})" class="input_submit">
			</span>
		</td>
		<td colspan="3">Wyników na tej stronie: <?php echo $c = count($data) ?> /
			<input type="text" name="offset" value="<?php echo $offset ?>" style="width: 60px; margin: 0px; padding: 0px">
			<input type="submit" value="Zmień" class="input_submit" onclick="menu('members', $('.mem'), {member_page: <?php echo $page ?>, offset: $('input[name=offset]').val()})">
		</td>
	</tr>
	
	<tr class="header">
		<td width="30%">Login</td>
		<td width="35%">Email</td>
		<td width="15%">Gadu Gadu</td>
		<td width="10%">Portfel</td>
		<td width="10%"></td>
	</tr>
	
	<?php
		for($i=0; $i<$c; $i++)
		{
	?>
			<tr class="member">
				<td><?php echo Member::getDisplayName($data[$i]['id']) ?></td>
				<td><?php echo $data[$i]['email']  ?></td>
				<td><?php echo $data[$i]['gg']     ?></td>
				<td><?php echo $data[$i]['wallet'] ?></td>
				<td><input type="submit" value="Edytuj" class="input_submit" onclick="editMember(<?php echo $data[$i]['id'] ?>)"/></td>
			</tr>
		<?php } ?>
		
</table>
