<script>
var edit = function(id){
	new SimpleBox({
		url: core.getConfig('base_url') + 'admin/service/edit_box',
		data: {id: id},
		width: 1000,
		submitValue: false
	}).show();
}
var add = function(){
	new SimpleBox({
		url: core.getConfig('base_url') + 'admin/service/add_box',
		data: {},
		width: 1000,
		submitValue: false
	}).show();
}
var deleteFromAmxBans = function(bid){
	$.ajax({
		url: core.getConfig('base_url') + 'admin/service/delete_from_buy_cache',
		data: {id: bid},
		dataType: 'JSON',
		type: 'POST',
		
		success: function(r){
			notif(r.message, 2000);
		}
		
	});
}
var extendFromAmxBans = function(bid){
	new SimpleBox({
		title:   'Przedłuż usługę o id ' + bid,
		message: '<div class="info">Jeśli chcesz skrócić usługę wpisz liczbę ujemną np. <b>-2</b>, długoś usługi zostanie skrócona o 2 dni</div> Ilość dni: <input type="text" name="extend_day">',
		submitClose: true,
		submitValue: 'Przedłuż',
		cancelValue: 'Anuluj',
		
		submitAction: function(){
			
			var value = $('input[name="extend_day"]').val();
			
			$.ajax({
				url: core.getConfig('base_url') + 'admin/service/extend',
				data: {
					id:   bid,
					day:  value
				},
				dataType: 'JSON',
				type: 'POST',
				
				success: function(r){
					notif(r.message, 2000);
				}
			});
		}
	}).show();
}
</script>
<div class="img_bar">Usługi<span onclick="add()" style="float: right">Dodaj nową usługe</span></div>
<?php
	// Tworzymy obiekt amxbansa
	$amxbans = new AmxBans();

	// Pobierzmy wszystkie usługi...
	$all   = Service::getAll();

	// Zapiszmy ilość tych usług
	$count = count($all);
?>
	<?php
			
	// Jeśli brak usług, lub brak amxbansów wyświetlmy komunikat
	if(!$count or !count($amxbans->getAmxBansList()))
	{
		if(!$count)
		{
			echo '<div class="warning">Brak usług w bazie danych</div>';
		}
		else
		{
			echo '<div class="error">Nie ma żadnych amxbansów w bazie danych...</div>';
					
			// Jeśli brak amxbansów to również zatrzymajmy działanie, aby nie można było dodać usługi...
			return;
		}
	}
	else
	{ // Natomiast jeśli są to generujemy...
?>
<table class="table">
	<tr class="header">
		<td>Nazwa usuługi</td>
		<td>AmxBans</td>
		<td>Server</td>
		<td>Flagi</td>
		<td>Dostępne dla grup</td>
	</tr>
	<?php
		// Jedziemy po całej tablicy z usługami
		foreach($all as $s)
		{
			// Pobieramy dane amxbansa...
			$amxbans_data = $amxbans->getAmxBans($s['amxbans_id']);
					
			// Jeśli nie ma takiego amxbansa, to uzupełnijmy ręcznie dane aby uniknąć 
			// Błędy ajaxowego :)
			if(count($amxbans_data) <= 1)
			{
				$s['flags']           = ' ';
				$s['allowed_group']   = ' ';
				$amxbans_data['name'] = '<b>Nie znaleziono takiego amxbansa...</b>';
				$server_name          = ' ';
			}
			// Natomiast jeśli nie niech dane same się dopełnią
			else
			{
				// Pobieramy nazwe serwera...
				$server_name  = $amxbans->connect($amxbans_data);
				$server_name  = $server_name->server($s['server_id']);
					
				// Tutaj już ostatecznie xD 
				$server_name  = $server_name['hostname'];
			}
	?>
	<tr onclick="edit(<?php echo $s['id'] ?>)">
		<td><?php echo $s['name'] ?></td>
		<td><?php echo $amxbans_data['name'] ?></td>
		<td><?php echo $server_name ?></td>
		<td><?php echo $s['flags'] ?></td>
		<td>
			<?php
			// Grupy dla jakich ma być dostępna usługa
			$groups = '';
			foreach(explode(',', $s['allowed_group']) as $g){
				$g = Member::getGroup($g);
				$groups .= ' <span style="'.$g['group_style'].'">'.$g['group_name'].'</span>, ';
			}
			// Wyświetlmy... 
			echo rtrim($groups, ', ');
			?>
		</td>
	</tr>
	<?php
	}
	?>
</table>
<?php
}
?>
<div style="margin-top: 5px" class="img_bar">Zakupione usługi</div>

<?php
	$buy_cache = Service::getFromBuyCache();
	$count     = count($buy_cache);
	
?>

<table class="table">
	<tr class="header">
		<td>Usługa</td>
		<td>Użytkownik</td>
		<td>Kupiono</td>
		<td>Wygaśnie</td>
		<td>Status</td>
		<td width="30%"></td>
	</tr>
	<?php
		if($count)
		{
			$time = time();
			foreach($buy_cache as $cache)
			{
				$member = Member::load($cache['member_id']);
	?>
				<tr>
					<td><?php echo $cache['name'] ?></td>
					<td><?php echo $member['display_name'] ?></td>
					<td><?php echo Date::format($cache['created']) ?></td>
					<td><?php echo $cache['expired'] < $time ? Date::format($cache['expired']) : Date::strtime($cache['expired']) ?></td>
					<td><img src="<?php echo Core::$site . 'media/image/' . ($cache['status'] ? 'ok.png' : 'error.png')?>"/></td>
					<td>
						<input type="submit" class="uibutton special" onclick="extendFromAmxBans(<?php echo $cache['id'] ?>)" value="Przedłuż">
						<input type="submit" class="uibutton"         onclick="deleteFromAmxBans(<?php echo $cache['id'] ?>)" value="Wyłącz tą usługę">
					</td>
				</tr>
	<?php
			}
		}
		else
		{
			echo '<tr><td colspan="6"><div class="warning">Nie kupiono jeszcze żadnych usług</div></tr>';
		}
	?>
</table>