<?php
	$controller = Core::get('Request')->segment(0, 'welcome');
	$action     = Core::get('Request')->segment(1);
	
	$left_menu  = '';
	$right_menu = '';
	
	$uri = Core::request()->_uri;
	$uri = str_replace(Core::$site, '', $uri);
	$uri = ltrim($uri, '/');
	$uri = rtrim($uri, '/');
	$uri = preg_replace('#/\?(.*)#si', '', $uri);
	
	foreach(Menu::get() as $menu)
	{	
		// -----------------------
		// Pokazać?
		// -----------------------
		$show = false;
		switch( true )
		{
			case $menu['admin'] && Member::hasAccess('acp'):
				$show = true;
			break;
			case $menu['member'] && Member::logged():
				$show = true;
			break;
			case $menu['guest'] && !Member::logged():
				$show = true;
			break;
		}
		
		// Przejdźmy do następnego elementu jeśli użytkownik nie posiada odpowiednich uprawnień
		if(!$show)
		{
			continue;
		}
		
		// Wygenerujmy adres URL
		$url = Core::setting()->_format($menu['url'], array(
			'{SITE_URL}' => Core::$site
		));
		
		// Aktywny ? 
		$class = '';
		
		// Trochę pokombinowałem ale jakoś się udało bez dodatkowej kolumny w bazie danych ;)
		if(ltrim(rtrim(str_replace(Core::$site, '', $url), '/'), '/') == $uri)
		{
			$class = 'active';
		}
		
		// Menu
		$html = "<li class='{$class}'><a href='{$url}'>{$menu['name']}</a></li>";
		
		// Po której stronie dodać ?
		if($menu['float'] == 'left')
		{ // lewej
			$left_menu .= $html;
		}
		else
		{ // prawej
			$right_menu .= $html;
		}
	}
?>
<div id="primary_nav">
	<div id="content_wrapper">
		<div class="left">
			<ul>
				<?php echo $left_menu ?>
			</ul>
		</div>
		<div class="right">
			<ul>
				<?php echo $right_menu ?>
			</ul>
		</div>
	</div>
</div>
<div id="content_wrapper">