<script>
$(document).ready(function(){
	
	$('select[name="day"]').on('change', function(){
		var value = $(this).val();
			value = value * <?php echo $service['cost_per_day'] ?>;
			value = parseFloat(value);
			value = value.toFixed(2);
			
		$('.koszt').text(value);
	});
	
	$('#buy').click(function(){
		var data = $('#form').serialize();
		
		$.ajax({
			url: core.getConfig('base_url') + 'service/buy/process',
			data: data,
			dataType: 'JSON',
			type: 'POST',
			
			success: function(json){
				$('.result').html('');
				$('.result').append($(document.createElement('div')).addClass(json.result).html(json.message));
			}
		});
	});
	
	$('select[name="flags"]').on('change', function(){
		$('.data').hide();
		$('.'+$(this).val()).show();
		$('.day').show();
	});
});
</script>
<style>
.a, .ce, .day{
	display: none;
}
</style>
<form action="" id="form" onsubmit="return false" method="post">
	<input type="hidden" name="id" value="<?php echo $service['id']?>">
	<table style="width: 100%">
		<tr>
			<td>Wybierz na co chcesz kupić</td>
			<td><select name="flags"><option>--- Wybierz ---</option><option value="a">Nick + hasło</option><option value="ce">Steam</option</td>
		</tr>
		<tr class="data a">
			<td>Nick na serwerze</td>
			<td><input type="text" value="" name="nick"></td>
		</tr>
		<tr class="data a">
			<td>Hasło jakie chcesz mieć</td>
			<td><input type="password" value="" name="password"></td>
		</tr>
		<tr class="data ce">
			<td>Wpisz swój STEAM</td>
			<td><input type="text" value="STEAM_0:" name="steam"></td>
		</tr>
		<tr class="day">
			<td>Ile dni</td>
			<td>
				<select name="day">
					<?php 
						for($i=$service['min_day']; $i<=$service['max_day']; $i++)
						{
							echo '<option value="'.$i.'">' . $i . ' Dni</option>';
						}
					?>
				</select>
				Koszt: <span class="koszt" style="font-weight: bold"><?php echo $service['cost_per_day'] * $service['min_day'] ?></span> PLN
			</td>
		</td>
		<tr>
			<td> &nbsp; </td>
		</tr>
		<tr>
			<td></td>
			<td><input type="submit" class="input_submit" id="buy" value="Kup"></td>
		</tr>
	</table>
	<span class="result"></span>
</form>