<?php Core::get('View')->execute('global/head') ?>

<div id="board">
	<div class="breadcrumb">
		<a href="<?php echo Core::$site ?>">Sklep Automatyczny</a> → <a href="<?php echo Core::$site ?>">Strona Główna</a>
	</div>
	
	<script>
	
	var currentPage = 0;
	
	var initNews = function(data){
		
		var additional = data || {};
		if(additional.page && additional.page == currentPage)
		{
			return;
		}
		currentPage = additional.page || 0;
		
		var index_content  = $('.news_ajax_load_content');
		
		index_content.animate({
			opacity: 0.0
		}, 300, function(){
			index_content.animate({
				opacity: 1.0
			}, 300);
		});
		
		
		$.ajax({
			url: core.getConfig('base_url') + 'welcome/load',
			dataType: 'JSON',
			type: 'POST',
			data: {page: 'news', additional: additional},
			
			success: function(json){
				index_content.html(json.content);
			}
		});	
 	}
	$(document).ready(function(){
		initNews({}, true);
	});
	</script>
	<div class="page_title">Nowości ze sklepu.</div>
	
	<div class="news_ajax_load_content"></div>
		
	<div style="clear: both"></div>
	
	<?php if(Core::setting()->get('footer_index_info')){ ?>
	<div class="belt" style="border-bottom-width: 1px; margin-top: 20px"></div>
	<div style="padding-left: 15px; padding-right: 15px" class="breadcrumb">
		<span style="margin-left: 15px; font-weight: bold;">Użytkownicy </span><span class="stats"><?php echo $members_count ?></span>
		<span style="margin-left: 15px; font-weight: bold;">Zablokowani </span><span class="stats"><?php echo $blocks_count ?></span>
		<span style="margin-left: 15px; font-weight: bold;">Newsów </span><span class="stats"><?php echo News::getCount() ?></span>
		<span style="margin-left: 15px; font-weight: bold;">Grup </span><span class="stats"><?php echo count(Member::groupList()) ?></span> 
		<span style="margin-left: 15px; font-weight: bold;">Stan konta wszystkich użytkowników </span><span class="stats"><?php echo round($sum, 2) ?> PLN</span> 
	</div>
	<div style="margin: 15px 0px 15px 10px">
		<?php
		$group = '';
		foreach($groups as $g)
		{
			$group .= sprintf(' <span style="%s">%s</span> | ', $g['group_style'], $g['group_name']);
		}
		echo rtrim($group, '| ');
		?>
	</div>
	<?php } ?>
</div>
<?php Core::get('View')->execute('global/footer') ?>