<?php define('SYSPATH' , 'system/') ?>
<?php require_once(SYSPATH . 'DataBase.php'); ?>

<?php
if(isset($_POST['install'])){
	$config = array(
		'db' => array(
			'host' => $_POST['db_host'],
			'user' => $_POST['db_user'],
			'pass' => $_POST['db_pass'],
			'base' => $_POST['db_base']
		)
	);
	
	$db = DataBase::initialize($config['db']);
	if(!$db){
		exit('<h3>Błędne dane MYSQL</h3>');
	}
	
	if(empty($_POST['admin_login']) or empty($_POST['admin_pass'])){
		exit('<h3>Podaj dane administratora</h3>');
	}
	
	if(empty($_POST['basename']) or empty($_POST['site_url'])){
		exit('<h3>Podaj wszystkie ustawienia strony</h3>');
	}
	
	$admin_group = array( 'acp' => 1, 'acp_setting' => 1, 'acp_amxbans' => 1, 'acp_payments' => 1, 'acp_members' => 1, 'acp_groups' => 1, 'acp_logs' => 1,
			'acp_service' => 1, 'news_add' => 1, 'news_delete' => 1, 'news_edit' => 1, 'acp_board' => 1);
	$admin_group = serialize($admin_group);
	
	$member_group = array( 'acp' => 0, 'acp_setting' => 0, 'acp_amxbans' => 0, 'acp_payments' => 0, 'acp_members' => 0, 'acp_groups' => 0, 'acp_logs' => 0,
			'acp_service' => 0, 'news_add' => 0, 'news_delete' => 0, 'news_edit' => 0, 'acp_board' => 0);
	$member_group = serialize($member_group);

	$login = $_POST['admin_login'];
	$pass = sha1($_POST['admin_pass']);
	// ---------------------------------------------------
// Zapytania mysql DODAJ GRUPY!!!
// ---------------------------------------------------
$sql = array();
$sql[] = "CREATE TABLE IF NOT EXISTS `amxbans_sql_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `host` varchar(255) NOT NULL,
  `base` varchar(255) NOT NULL,
  `user` varchar(255) NOT NULL,
  `pass` varchar(255) NOT NULL,
  `prefix` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin2 AUTO_INCREMENT=1;";
$sql[] = "CREATE TABLE IF NOT EXISTS `groups_` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_name` varchar(36) NOT NULL,
  `group_access` text NOT NULL,
  `group_style` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin2 AUTO_INCREMENT=1;";
$sql[] = "CREATE TABLE IF NOT EXISTS `logs_` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `admin_id` int(11) NOT NULL,
  `message` text NOT NULL,
  `time` varchar(255) NOT NULL,
  `ip` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `from_member_id` (`admin_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin2 AUTO_INCREMENT=1;";
$sql[] = "CREATE TABLE IF NOT EXISTS `members_` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(16) NOT NULL,
  `password` varchar(50) NOT NULL,
  `email` varchar(255) NOT NULL,
  `gg` varchar(32) NOT NULL,
  `wallet` float NOT NULL,
  `group_id` int(11) NOT NULL DEFAULT '0',
  `block` int(1) NOT NULL DEFAULT '0',
  `password_set` varchar(25) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin2 AUTO_INCREMENT=1;";
$sql[] = "CREATE TABLE IF NOT EXISTS `my_code_` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(9) CHARACTER SET latin1 NOT NULL,
  `wallet` float NOT NULL,
  `active_member_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `code` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin2 AUTO_INCREMENT=1;";
$sql[] = "CREATE TABLE IF NOT EXISTS `news_` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `author_id` int(11) NOT NULL,
  `news_title` varchar(60) NOT NULL,
  `news_content` text NOT NULL,
  `news_time` varchar(15) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id` (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin2 AUTO_INCREMENT=1;";
$sql[] = "CREATE TABLE IF NOT EXISTS `reputation_cache_` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `section` varchar(10) NOT NULL,
  `section_id` int(11) NOT NULL,
  `rep_points` int(11) NOT NULL,
  `rep_cache` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `section` (`section`),
  KEY `section_id` (`section_id`),
  KEY `section_id_2` (`section_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin2 AUTO_INCREMENT=1;";
$sql[] = "CREATE TABLE IF NOT EXISTS `services_` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL,
  `desc` text NOT NULL,
  `flags` varchar(255) NOT NULL,
  `cost_per_day` float NOT NULL,
  `min_day` int(11) NOT NULL DEFAULT '7',
  `max_day` int(11) NOT NULL,
  `amxbans_id` int(11) NOT NULL,
  `server_id` int(11) NOT NULL,
  `allowed_group` varchar(255) NOT NULL,
  `full_cash` float DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin2 AUTO_INCREMENT=1;";
$sql[] = "CREATE TABLE IF NOT EXISTS `services_buy_cache_` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_id` int(11) NOT NULL,
  `service_id` int(11) NOT NULL,
  `amxbans_member_id` int(11) NOT NULL,
  `created` int(11) NOT NULL,
  `expired` int(11) NOT NULL,
  `status` int(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin2 AUTO_INCREMENT=1;";
$sql[] = "CREATE TABLE IF NOT EXISTS `settings_` (
  `setting_name` varchar(255) NOT NULL,
  `setting_value` text NOT NULL,
  `setting_desc` text NOT NULL,
  PRIMARY KEY (`setting_name`),
  KEY `setting_name` (`setting_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin2;";
$sql[] = "INSERT INTO `settings_` (`setting_name`, `setting_value`, `setting_desc`) VALUES
	('default_group_id', '2', 'Domyślna grupa rejestrujących się użytkowników'),
	('dotpay_id', 'GH0ST', ''),
	('dotpay_identyfikator', '1', ''),
	('footer_current_time', '1', 'Pokazuj aktualny czas'),
	('footer_generate_time', '1', 'Pokazuj czas generowania strony'),
	('footer_index_info', '1', 'Informacje na stronie głównej o ilości użytkowników / newsów itp'),
	('footer_logged', '1', 'Pokazuj \"Zalogowany jako\" w stopce'),
	('footer_memory_usage', '1', 'Pokazuj zużycie pamięci'),
	('keyapi_pukawka', 'TfFQlQTCQZnKf8j', ''),
	('load_jquery', '{SITE_URL}media/script/jQuery.js', 'Biblioteka jQuery jaka ma zostać załadowana'),
	('login_limit', '5', ''),
	('login_limit_notif', '1', ''),
	('login_limit_notif_admin', '1', ''),
	('login_limit_time', '5', ''),
	('member_give_money', '1', ''),
	('member_give_money_limit', '0', ''),
	('meta_description', '', ''),
	('meta_keywords', '', ''),
	('news_anty_spam_time', '20', ''),
	('news_count', '10', 'Ilość newsów wyświetlana na stronie głównej'),
	('news_for_logged', '0', 'Newsy tylko dla zalogowanych ? '),
	('news_my_like', '1', ''),
	('news_reputation', '1', ''),
	('news_reputation_list', '1', ''),
	('service_no_show', '', ''),
	('service_show_no_logged', '0', ''),
	('site_charset', 'UTF-8', 'Kodowanie znaków na stronie'),
	('site_name', '{ACTION_NAME} - Sklep automatycznya', 'Nazwa strony wyświetlana w tytule'),
	('sms_api_name', 'Zabijaka', 'Nazwa api dzięki któremu można doładować portfel'),
	('wiaderko_username', 'gh0st', ''),
	('zabijaka_key_api', 'ghost', ''),
	('id_uzytkownika', '', 'Klucz API amxx');";

$sql[] = "CREATE TABLE IF NOT EXISTS `member_logs_` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`member_id` int(11) NOT NULL,
	`message` text NOT NULL,
	`section` varchar(50) NOT NULL,
	`time` varchar(25) NOT NULL,
	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin2 AUTO_INCREMENT=1;";

$sql[] = "CREATE TABLE IF NOT EXISTS `menu_` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`name` varchar(30) NOT NULL,
	`url` varchar(255) NOT NULL,
	`float` varchar(6) NOT NULL,
	`admin` int(1) NOT NULL,
	`member` int(1) NOT NULL,
	`guest` int(1) NOT NULL,
	PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin2 AUTO_INCREMENT=1;";
$sql[] = "INSERT INTO `menu_` (`id`, `name`, `url`, `float`, `admin`, `member`, `guest`) VALUES
	(1, 'Strona Główna', '{SITE_URL}', 'left', 1, 1, 1),
	(2, 'Lista usług', '{SITE_URL}service/', 'left', 1, 1, 1),
	(3, 'Wyloguj', '{SITE_URL}member/logout/', 'right', 1, 1, 0),
	(4, 'Mój Profil', '{SITE_URL}member/', 'right', 1, 1, 0),
	(5, 'Panel administracyjny', '{SITE_URL}admin/', 'right', 1, 0, 0),
	(6, 'Zaloguj', '{SITE_URL}member/login/', 'right', 0, 0, 1),
	(7, 'Utwórz konto', '{SITE_URL}member/register/', 'right', 0, 0, 1);";
	
	$sql[] = "INSERT INTO `members_` VALUES(NULL, '$login', '$pass', 'admin@twojastrona.pl', '', 0, 1, 0, 0);";
	$sql[] = "INSERT INTO `groups_` VALUES(NULL, 'Administrator', '$admin_group', 'font-weight: bold; color: red; text-shadow: 0 0 10px')";
	$sql[] = "INSERT INTO `groups_` VALUES(NULL, 'Użytkownik', '$member_group', '')" ;
	$sql[] = "INSERT INTO `news_` (`id`, `author_id`, `news_title`, `news_content`, `news_time`) VALUES
(1, 1, 'Sklep Automatyczny v1.0.0', '<b>Dziękuje za korzystanie z mojego sklepu :)<br><br>Pozdrawiam i zapraszam na AMXX.PL, Gh0st.<br></b>', '".time()."');
";
	foreach($sql as $q){
		$db->query($q);
	}
	
	
	$config_file = "<?php defined('SYSPATH') or die('No direct script access.'); \n";
	$config_file .= "\$config['db']['host'] = '{$config['db']['host']}';\n";
	$config_file .= "\$config['db']['user'] = '{$config['db']['user']}';\n";
	$config_file .= "\$config['db']['pass'] = '{$config['db']['pass']}';\n";
	$config_file .= "\$config['db']['base'] = '{$config['db']['base']}';\n";
	$config_file .= "\$config['core']['url'] = '{$_POST['site_url']}';\n";
	
	
	if(!file_put_contents('config.php', $config_file))
	{
		echo '<br>Nie udało się zapisać danych do pliku config.php, wklej je ręcznie: <br/>';
		echo '<textarea style="width: 70%">'.$config_file.'</textarea>';
	}
	
	
	$htaccess = <<< HTACCESS
RewriteEngine On
RewriteBase {$_POST['basename']}

<Files .*>
	Order Deny,Allow
	Deny From All
</Files>

RewriteRule ^(?:application|system|modules)\b.* index.php/$0 [L]

RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d

RewriteRule .(.?)* index.php?$1 [PT]
HTACCESS;

	if(!file_put_contents('.htaccess', $htaccess))
	{
		echo '<br>Nie udało się zapisać danych do pliku .htaccess, wklej je ręcznie: <br/>';
		echo '<textarea style="width: 70%">'.$htaccess.'</textarea>';
	}
	
echo "<h3>Instalacja przebiegła pomyślnie</h3><ul><li><a href='{$_POST['site_url']}'>Strona główna</a></li><li><a href='http://amxx.pl'>AMXX.pl</a></li></ul>";
echo '<h3 style="color: red">USUŃ PLIK INSTALL.PHP</h3>';
}
else{
?>

<form action="" method="post">
	<h3>Instalacja sklepu</h3>
	<fieldset style="width: 400px">
		<legend>Baza danych</legend>
		<table style="width: 100%">
			<tr>
				<td>Host bazy danych</td>
				<td><input type="text" name="db_host" value="localhost"></td>
			</tr>
			<tr>
				<td>Użytkownik bazy danych</td>
				<td><input type="text" name="db_user"></td>
			</tr>
			<tr>
				<td>Hasło użytkownika bazy danych</td>
				<td><input type="text" name="db_pass"></td>
			</tr>
			<tr>
				<td>Nazwa bazy danych</td>
				<td><input type="text" name="db_base"></td>
			</tr>
		</table>
	</fieldset>
	<fieldset style="width: 400px">
		<legend>Dane administratora</legend>
		<table style="width: 100%">
			<tr>
				<td>Login</td>
				<td><input type="text" name="admin_login" value="Admin"></td>
			</tr>
			<tr>
				<td>Hasło</td>
				<td><input type="text" name="admin_pass"></td>
			</tr>
		</table>
	</fieldset>
	<fieldset style="width: 400px">
		<legend>Strona</legend>
		<table style="width: 100%">
			<tr>
				<td>Ścieżka do folderu ze sklepem</td>
				<td><input type="text" name="basename" value="/"></td>
			</tr>
			<tr>
				<td>Adres</td>
				<td><input type="text" name="site_url" value="http://<?php echo $_SERVER['HTTP_HOST'] . '/'?>"></td>
			</tr>
		</table>
	</fieldset>
	<input type="submit" name="install" value="Instaluj">
</form>
<?php } ?>
